post
https://mediastoreapi-sandbox.cleeng.com/connectors/adyen/payment_details
Use this method to add Adyen payment details, so that new payment details can be used for recurring payments.
Example use cases: a customer updates a card or wants to switch payment method to a card. For more information, see the docs.
WARNING:
This is a legacy endpoint. For new integrations, please use /connectors/adyen/payment-details (see Adyen Payment Setup for more information). For legacy integrations, please see the migration guide.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Body example
{
"paymentMethodId": 123456789,
"customerIP": "111.111.11.1",
"card": {
"type": "scheme",
"encryptedCardNumber": "adyenjs_0_1_25...",
"encryptedExpiryMonth": "adyenjs_0_1_12..",
"encryptedExpiryYear": "adyenjs_0_1_09...",
"encryptedSecurityCode": "adyenjs_0_1_34..."
}
}
